<?php

namespace Modules\Linker\Providers;

use Illuminate\Support\ServiceProvider;

class LinkerServiceProvider extends ServiceProvider
{

    /**
     * @var string $moduleName
     */
    protected string $moduleName = 'Linker';

    /**
     * @var string $moduleNameLower
     */
    protected string $moduleNameLower = 'linker';

    /**
     * Boot the application events.
     * @return void
     */
    public function boot()
    {
        $this->loadMigrationsFrom(module_path($this->moduleName, 'Database/Migrations'));
    }

    /**
     * Register the service provider.
     * @return void
     */
    public function register()
    {
        $this->app->register(RouteServiceProvider::class);
    }

    /**
     * Get the services provided by the provider.
     * @return array
     */
    public function provides(): array
    {
        return [];
    }

}